%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program update the speech and noise when snr is changed
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function update_speech_noise(cur_exp, cur_talker, cur_sound, cur_snr)

global doc configs;

[s, fs] = load_wav(cur_talker, cur_sound);

speech_data.fs = fs;
speech_data.signal = s;
speech_data.snr = doc.snr;
speech_data.type = 'speechonly';

speech_in = []; speech_only = []; noise_only = []; noise_std = [];

cd(configs.aigrampath);
if strcmp(cur_exp, '64')||strcmp(cur_exp, '06sc')||strcmp(cur_exp, '06sv')
    [speech_in, speech_only, noise_only, noise_std]=prepare_speech_mn64( speech_data);
elseif strcmp(cur_exp, '16')||strcmp(cur_exp, '06wc')||strcmp(cur_exp, '06wv')
    [speech_in, speech_only, noise_only, noise_std]=prepare_speech_mn16r( speech_data);
end
cd(configs.syspath)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% initialize all the variables
doc.speech.data = speech_only;
doc.speech.fs = fs;
doc.noise = noise_only;
doc.noisyspeech = speech_in;