% This script send the input speech to the loudspeaker
function save_wav(s, fs, stime, etime, fL, fH)

%global configs;
%delay = configs.delay_aigram; % delay of the auditory filter introduced by AIgram 4.0

delay = 736;

% truncate speech in time 
s = s(max(1,floor(stime*fs)-delay):min(floor(etime*fs)-delay,end));

% low-pass and high-pass filter speech
if (fH/(fs/2))<1
    [bL,aL] = ellip(6,0.02,60,fH/(fs/2), 'low');
    s = filter(bL, aL, s); % low-pass
end

if (fL/(fs/2))>0
    [bH,aH] = ellip(6,0.02,60,fL/(fs/2), 'high');
    s = filter(bH, aH, s); % high-pass
end

[filename, pathname] = uiputfile( '*.wav', 'Save as');

if filename~=0
    wavwrite(s, fs, [pathname '/' filename]);
end
