%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program calculate the frequency for each stim under every snr condition
% for the given data, Hearing Impaired 06.
%   Author:      Feipeng Li at HSR, Beckman Institute, UIUC
%   Time-stamp:  2006-10-10
%   E-mail:      fli2@uiuc.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function table = genTAB(Data, Resp, SNR)

% create a hash table for SNR to fasten the access of data
% 'Talker_Stim' 1, 'Listener' 7 , 'Stim' 2 , 'Resp' 3, 'snr' 4

snrs = sort(SNR);
lowlim = snrs(1);
uplim = snrs(end);

yhash = zeros(uplim+100,1);
for i=1:length(snrs)
    y = snrs(i)+abs(lowlim)+1;
    yhash(y) = i;
end

nRow = length(Resp); nCol = length(SNR); 
table = zeros(nRow, nCol);

for i=1:length(SNR)
    p = find(Data{4}==snrs(i));
    temp = Data{3}(p);
    y = yhash(snrs(i)+abs(lowlim)+1);
    for j=1:length(Resp)
        q = find(strcmp(temp, Resp{j}));
        x = j;
        table(x,y) = length(q);
    end
end

